## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Class EventTriggerType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.EventTriggerType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class EventTriggerType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Event Trigger Type', and utility methods for working with them.

See Also:
  `org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.SybaseasabasesqlmodelPackage#getEventTriggerType()`, Serialized Form

Field Summary
`static int` `CONDITIONAL` The 'CONDITIONAL' literal value.
`static EventTriggerType` `CONDITIONAL_LITERAL` The 'CONDITIONAL' literal object.
`static int` `MANUALLY` The 'MANUALLY' literal value.
`static EventTriggerType` `MANUALLY_LITERAL` The 'MANUALLY' literal object.
`static int` `SCHEDULED` The 'SCHEDULED' literal value.
`static EventTriggerType` `SCHEDULED_LITERAL` The 'SCHEDULED' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Event Trigger Type' enumerators.

Method Summary
`static EventTriggerType` `get(int value)` Returns the 'Event Trigger Type' literal with the specified integer value.
`static EventTriggerType` `get(java.lang.String literal)` Returns the 'Event Trigger Type' literal with the specified literal value.
`static EventTriggerType` `getByName(java.lang.String name)` Returns the 'Event Trigger Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MANUALLY

    public static final int MANUALLY

  The 'MANUALLY' literal value.

  If the meaning of 'MANUALLY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MANUALLY_LITERAL`, Constant Field Values

### SCHEDULED

    public static final int SCHEDULED

  The 'SCHEDULED' literal value.

  If the meaning of 'SCHEDULED' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SCHEDULED_LITERAL`, Constant Field Values

### CONDITIONAL

    public static final int CONDITIONAL

  The 'CONDITIONAL' literal value.

  If the meaning of 'CONDITIONAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CONDITIONAL_LITERAL`, Constant Field Values

### MANUALLY_LITERAL

    public static final EventTriggerType MANUALLY_LITERAL

  The 'MANUALLY' literal object.

  See Also:
    `MANUALLY`

### SCHEDULED_LITERAL

    public static final EventTriggerType SCHEDULED_LITERAL

  The 'SCHEDULED' literal object.

  See Also:
    `SCHEDULED`

### CONDITIONAL_LITERAL

    public static final EventTriggerType CONDITIONAL_LITERAL

  The 'CONDITIONAL' literal object.

  See Also:
    `CONDITIONAL`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Event Trigger Type' enumerators.

Method Detail

### get

    public static EventTriggerType get(java.lang.String literal)

  Returns the 'Event Trigger Type' literal with the specified literal value.

### getByName

    public static EventTriggerType getByName(java.lang.String name)

  Returns the 'Event Trigger Type' literal with the specified name.

### get

    public static EventTriggerType get(int value)

  Returns the 'Event Trigger Type' literal with the specified integer value.